DEV_REMOVE_OFFLOAD(9)

NAME
dev_remove_offload - remove packet offload handler

SYNOPSIS

void dev_remove_offload(struct packet_offload * po);

ARGUMENTS

po
    packet offload declaration

DESCRIPTION

Remove a packet offload handler that was previously added to the kernel offload handlers by dev_add_offload. The passed offload_type is removed from the kernel lists and can be freed or reused once this function returns.

This call sleeps to guarantee that no CPU is looking at the packet type after return.

COPYRIGHT